Open SCAP Library

Public Member Functions | Data Fields
cvrf_reference Struct Reference

## Public Member Functions
cvrf_reference_type_t | cvrf_reference_get_reference_type (struct cvrf_reference *reference)
xmlNode * | cvrf_reference_to_dom (struct cvrf_reference *ref)
| Parent: References or DocumentReferences container. More...
struct cvrf_reference * | cvrf_reference_new (void)
| New CVRF Reference structure. More...
void | cvrf_reference_free (struct cvrf_reference *reference)
| Deallocates memory for a Reference element of the References container. More...
struct cvrf_reference * | cvrf_reference_clone (const struct cvrf_reference *ref)
const char * | cvrf_reference_get_url (const struct cvrf_reference *reference)
const char * | cvrf_reference_get_description (const struct cvrf_reference *reference)
bool | cvrf_reference_set_url (struct cvrf_reference *reference, const char *url)
bool | cvrf_reference_set_description (struct cvrf_reference *reference, const char *description)

## Data Fields
cvrf_reference_type_t | type
char * | url
char * | description

## Member Function Documentation

## ◆ cvrf_reference_get_reference_type()

cvrf_reference_type_t cvrf_reference_get_reference_type | ( | struct cvrf_reference * | reference | ) |

Indicates whether reference refers to the document itself or to an external source

Parameters

  reference | CVRF Reference structure

Returns
  Enum representing Type attribute of the Reference element

## ◆ cvrf_reference_to_dom()

xmlNode * cvrf_reference_to_dom | ( | struct cvrf_reference * | ref | ) |

Parent: References or DocumentReferences container.

Parameters

  ref | CVRF Reference structure to be exported to XML

Returns
  xmlNode representing Reference element

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf_priv.h
- cvrf.h